function plotmesh3D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMesh3D(3);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3D(2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3D(1);
  [q0,me0,toGlobal0]=fc_meshtools.simplicial.getMesh3D(0);
  figure(1)
  view(3)
  fc_graphics4mesh.plotmesh(q3,me3,'EdgeColor','blue','FaceColor','None', 'DisplayName','3-simplex')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black')
  axis image
  legend show

  figure(2)
  view(3)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','None', 'DisplayName','2-simplex')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','DisplayName','1-simplex')
  fc_graphics4mesh.plotmesh(q0,me0,'color','red','DisplayName','0-simplex')
  axis image;axis off
  legend show
  
  P=[fc_tools.graphics.PlaneCoefs([0 0 1], [0 0 1]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[-1 0 0])];
  figure(3)
  fc_graphics4mesh.plotmesh(q1,me1,'color','black')
  hold on
  fc_graphics4mesh.plotmesh(q3,me3,'cutPlane',P,'Color','DarkGrey', 'DisplayName','3-simplex')
  fc_graphics4mesh.plotmesh(q2,me2,'cutPlane',P,'Color','red', 'DisplayName','2-simplex')
  axis image;axis off
  legend show
  
  P=fc_tools.graphics.PlaneCoefs([0 0 1], [-1 0 0]);
  figure(4)
  fc_graphics4mesh.plotmesh(q1,me1,'color','black')
  hold on
  fc_graphics4mesh.plotmesh(q3,me3,'cutPlane',P,'Color','DarkGrey')
  fc_graphics4mesh.plotmesh(q2,me2,'cutPlane',P,'Color','red')
  axis image;axis off  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
