function sTh=genLevelFaces(N,m,varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('type','simplex',@(x) ismember(x,{'simplex','orthotope'}));
  p.addParamValue('order',1)
  p.parse(varargin{:});
  type=p.Results.type;
  order=p.Results.order;
  if strcmp(type,'simplex')
    TessFun=@(N,order) fc_hypermesh.CG.TessSim(N,order);
  else
    TessFun=@(N,order) fc_hypermesh.CG.TessHyp(N,order);
  end
  
  d=length(N);
  assert(m>=0 & m<=d)
  beta=fc_hypermesh.CG.beta(order*N);
  if m==0
    Q=diag(N)*fc_hypermesh.CG.points(ones(1,d));
    ind=1+order*beta*Q;
    for k=1:2^d
      sTh(k)=fc_hypermesh.EltMesh(m,Q(:,k),1,'toGlobal',ind(k),'order',order,'type',type);
    end
    return
  end
  if m==d
    [q,me]=TessFun(N,order);
    labName=fc_hypermesh.funLabName(d,m);
    sTh=fc_hypermesh.EltMesh(m,q,me,'label',labName(1),'order',order,'type',type);
    return
  end
  L=fc_hypermesh.Combs(1:d,d-m);
  S=fc_hypermesh.CG.points(ones(1,d-m));
  nc=size(L,1);
  colors = fc_tools.graphics.selectColors(nc*(2)^(d-m));
  labName=fc_hypermesh.funLabName(d,m);
  k=1;
  for l=1:nc
    idc=L(l,:);
    idnc=setdiff(1:d,idc);
    [qw,mew]=TessFun(N(idnc),order);
    Idxw=order*qw;
    nq=size(qw,2);
    for r=1:2^(d-m)
      Q=zeros(d,nq);
      Q(idnc,:)=qw;
      Q(idc,:)=(N(idc)'.*S(:,r))*ones(1,nq);
      sTh(k)=fc_hypermesh.EltMesh(m,Q,mew,'toGlobal',(order*beta)*Q+1,'color',colors(k,:),'label',labName(k),'order',order,'type',type);
      k=k+1;
    end
  end
end
