function plotmesh(Gh,d,varargin)
  assert(strcmp(class(Gh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(Gh))
  if ~fc_oogmsh.isgraphics(), return;end
  assert( (d>=0) && (d<=Gh.d) ) 
  p = inputParser;
  p.KeepUnmatched=true; 
  p.addParamValue('color','k');
  p.addParamValue('interfaces',false);
  p.parse(varargin{:});
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  interfaces=p.Results.interfaces;
  Color=fc_tools.graphics.xcolor.val2rgb(p.Results.color);
  
  geoTags=Gh.get_ElementaryTags_entityDim(d);
  n=length(geoTags);
  if n>0
    if ~ishold(),hold on;ho=false;else,ho=true;end
      for j=1:n
        tags=Gh.get_EntityTags_From_parentTag(d,geoTags(j));
        for k=1:length(tags)
          [q,me]=Gh.get_localmesh_From_EntityBlock(d,tags(k));
          fc_graphics4mesh.plotmesh(q,me,'color',Color,varargin{:})
        end
      end
    if ~ho, hold off;end
  end
end
