function GE=read_GhostElements(fid,varargin)
  p = inputParser;
  p.addParamValue('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  isOK=fc_oogmsh.msh.find_section(fid,'$PGhostElements','optional',true,varargin{:});
  if ~isOK,GE=[];return;end
  numGhostElements=fscanf(fid,'%d',1);
  GE=struct('elementTag',[],'partitionTag',[],'numGhostPartions',[], ...
                       'GhostPartitionTags',[]);
  GE=repmat(GE,1,numGhostElements);  
  
  for i=1:numGhostElements
    R=fscanf(fid,'%d',3);
    GE(i).elementTag=R(1);GE(i).partitionTag=R(2);
    GE(i).numGhostPartions=R(3);
    if R(3)>0,GE(i).GhostPartitionTags=fscanf(fid,'%d',R(3));end
  end
  text = fscanf(fid,'%s',1);
  if ( text == -1 ) | ~strcmp(strtok(text),'$GhostElements') 
    if verbose,fprintf('No section $GhostElements %s',text);end
  else
    if verbose,fprintf('Reading $GhostElements section seem OK\n');end
  end
end
